<?php

namespace Modules\Noticeboard\Repositories\Interfaces;

use App\Repositories\Interfaces\EloquentRepositoryInterface;
use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Model;

interface CourseNoticeboardRepositoryInterface extends EloquentRepositoryInterface
{
    public function allCourse(array $columns = ['*'], array $relations = []): Collection;

    public function createCourseNotice(array $payload): ?Model;

    public function updateCourseNotice(array $payload): ?bool;

    public function deleteCourseNotice(array $payload): void;

}
